> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluate Promotions Endpoint

> Evaluate which promotions apply to a cart.

Returns two lists:
- auto_apply: promotions that should be automatically applied
- available: promotions the user can manually choose to apply



## OpenAPI

````yaml post /billing/promotions/evaluate
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/promotions/evaluate:
    post:
      tags:
        - Promotions
      summary: Evaluate Promotions Endpoint
      description: |-
        Evaluate which promotions apply to a cart.

        Returns two lists:
        - auto_apply: promotions that should be automatically applied
        - available: promotions the user can manually choose to apply
      operationId: evaluate_promotions_endpoint_billing_promotions_evaluate_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvaluatePromotionsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: >-
                  Response Evaluate Promotions Endpoint Billing Promotions
                  Evaluate Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EvaluatePromotionsRequest:
      properties:
        patientId:
          type: string
          title: Patientid
        providerId:
          anyOf:
            - type: string
            - type: 'null'
          title: Providerid
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
        cartId:
          anyOf:
            - type: string
            - type: 'null'
          title: Cartid
        items:
          items:
            $ref: '#/components/schemas/CartItemInput'
          type: array
          title: Items
        subtotalCents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Subtotalcents
      type: object
      required:
        - patientId
      title: EvaluatePromotionsRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CartItemInput:
      properties:
        itemId:
          type: string
          title: Itemid
        quantity:
          type: number
          title: Quantity
          default: 1
      type: object
      required:
        - itemId
      title: CartItemInput
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````